> For the complete documentation index, see [llms.txt](https://docs.digitalsamba.com/reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digitalsamba.com/reference/sdk/methods/togglemuteframe.md).

# toggleMuteFrame()

Toggles the mute state of the video conference frame. If frame is not muted it will become muted and vice-versa. Note that this doesn't affect other (remote) users. The method behaves like muting or unmuting your browser tab - affects only local user.

```javascript
//This will toggle the frame mute state
sambaFrame.toggleMuteFrame();

//This will mute the frame, equivalent to sambaFrame.muteFrame();
sambaFrame.toggleMuteFrame(true); 

//This will unmute the frame, equivalent to sambaFrame.unmuteFrame();
sambaFrame.toggleMuteFrame(false);
```

**Sample use cases**:&#x20;

* Having the conference loaded in the background and muted from user until a certain event happens. At some point you will want to unmute it, so user can participate.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digitalsamba.com/reference/sdk/methods/togglemuteframe.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
